Subject: [PATCH] dma: mv_xor: remove mv_desc_get_dest_addr()

From: [email-masked] (Vinod Koul)
Date: Wed, 18 Dec 2013 21:10:45 +0530

On Thu, Dec 12, 2013 at 11:00:05PM -0800, Dan Williams wrote:
> On Wed, Dec 11, 2013 at 1:10 AM, Dan Williams <[email-masked]> wrote:
> > On Tue, Dec 10, 2013 at 3:14 AM, Russell King - ARM Linux
> > <[email-masked]> wrote:
> >> On Tue, Dec 10, 2013 at 03:43:31PM +0530, Vinod Koul wrote:
> >>> On Mon, Dec 09, 2013 at 11:50:35PM +0000, Russell King - ARM Linux wrote:
> >>> > On Thu, Nov 28, 2013 at 11:27:06AM +0530, Vinod Koul wrote:
> >>> > > + Dan
> >>> > >
> >>> > > On Mon, Nov 25, 2013 at 07:39:25PM +0000, Jason Cooper wrote:
> >>> > > > The following commit:
> >>> > > >
> >>> > > >   54f8d501e842 dmaengine: remove DMA unmap from drivers
> >>> > > >
> >>> > > > removed the last caller to mv_desc_get_dest_addr(), creating the
> >>> > > > warning:
> >>> > > >
> >>> > > >   drivers/dma/mv_xor.c:57:12: warning: 'mv_desc_get_dest_addr' defined
> >>> > > >   but not used [-Wunused-function]
> >>> > > >
> >>> > > > Remove it.
> >>> > > >
> >>> > > > Signed-off-by: Jason Cooper <[email-masked]>
> >>> > > Acked-by: Vinod Koul <[email-masked]>
> >>> > >
> >>> > > This should go thru Dan's tree
> >>> >
> >>> > So what's happening with this patch?  I don't see it in -rc yet.
> >>> Dan has applied this to his next. So this should show us in next rc1
> >>
> >> Wrong answer.  This is a compile regression introduced in the last merge
> >> window, it should be going into an -rc kernel.
> >
> > Vinod, if your fixes branch is ready I'll take it along with the rest
> > of the regression fixes to Linus.
Sorry I wasnt well last week, so I just managed to send the PULL on friday
morning. Wasnt sure if Linus will cut rc on friday or later, so sent it!
> 
> Ok, I see you sent dma-slave/fixes up, I'll follow up with the rest:
Okay, did you manage to send it? If not I may have few (i think at least 1 more)

--
~Vinod
> 
> Dan Williams (5):
>       dma: fix build warnings in ppc4xx
>       dma: fix fsldma build warnings
>       dmatest: fix build warning on mips
>       dma: fix build warnings in txx9
>       dmaengine: fix enable for high order unmap pools
> 
> Ezequiel Garcia (1):
>       dma: mv_xor: Use dmaengine_unmap_data for the self-tests
> 
> Jason Cooper (1):
>       dma: mv_xor: remove mv_desc_get_dest_addr()
> 
> Olof Johansson (1):
>       dmaengine: at_hdmac: remove unused function
> 
> Russell King (1):
>       dmaengine: mv_xor: fix oops when channels fail to initialise

--